diff --git a/src/responder/nss/nsssrv_mmap_cache.c b/src/responder/nss/nsssrv_mmap_cache.c
index 41846d5..0544f63 100644
--- a/src/responder/nss/nsssrv_mmap_cache.c
+++ b/src/responder/nss/nsssrv_mmap_cache.c
@@ -1017,7 +1017,7 @@ static errno_t sss_mc_create_file(struct sss_mc_ctx *mc_ctx)
         if (ret) {
             DEBUG(SSSDBG_FATAL_FAILURE, "Failed to mark mmap file %s as"
                                          " recycled: %d(%s)\n",
-                                         mc_ctx->file, ret, strerror(ret));
+                                         mc_ctx->file, ret, sss_strerror(ret));
         }
 
         close(ofd);
diff --git a/src/responder/nss/nsssrv_netgroup.c b/src/responder/nss/nsssrv_netgroup.c
index 86cb8cd..bf64558 100644
--- a/src/responder/nss/nsssrv_netgroup.c
+++ b/src/responder/nss/nsssrv_netgroup.c
@@ -787,7 +787,7 @@ int nss_cmd_getnetgrent(struct cli_ctx *client)
         return EOK;
     } else if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "An unexpected error occurred: [%d][%s]\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
 
         return nss_cmd_done(cmdctx, ret);
     }
@@ -816,7 +816,8 @@ int nss_cmd_getnetgrent(struct cli_ctx *client)
     /* Read the result strings */
     ret = nss_cmd_getnetgrent_process(cmdctx, netgr);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, "Failed: [%d][%s]\n", ret, strerror(ret));
+        DEBUG(SSSDBG_CRIT_FAILURE,
+              "Failed: [%d][%s]\n", ret, sss_strerror(ret));
     }
     return ret;
 }
@@ -840,7 +841,7 @@ static void setnetgrent_implicit_done(struct tevent_req *req)
     if (ret != EOK && ret != ENOENT) {
         DEBUG(SSSDBG_FATAL_FAILURE,
               "Implicit setnetgrent failed with unexpected error "
-                  "[%d][%s]\n", ret, strerror(ret));
+                  "[%d][%s]\n", ret, sss_strerror(ret));
         NSS_CMD_FATAL_ERROR(cmdctx);
     }
 
@@ -860,7 +861,7 @@ static void setnetgrent_implicit_done(struct tevent_req *req)
         NSS_CMD_FATAL_ERROR(cmdctx);
     } else if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "An unexpected error occurred: [%d][%s]\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
 
         NSS_CMD_FATAL_ERROR(cmdctx);
     }
@@ -877,7 +878,7 @@ static void setnetgrent_implicit_done(struct tevent_req *req)
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
               "Immediate retrieval failed with unexpected error "
-                  "[%d][%s]\n", ret, strerror(ret));
+                  "[%d][%s]\n", ret, sss_strerror(ret));
         NSS_CMD_FATAL_ERROR(cmdctx);
     }
 }
diff --git a/src/responder/nss/nsssrv_services.c b/src/responder/nss/nsssrv_services.c
index 7741768..22b2075 100644
--- a/src/responder/nss/nsssrv_services.c
+++ b/src/responder/nss/nsssrv_services.c
@@ -1024,7 +1024,7 @@ nss_cmd_getserv_done(struct tevent_req *req)
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE,
                   "Could not create response packet: [%s]\n",
-                   strerror(ret));
+                   sss_strerror(ret));
         }
 
         sss_cmd_done(cmdctx->cctx, cmdctx);
@@ -1303,7 +1303,7 @@ setservent_send(TALLOC_CTX *mem_ctx, struct cli_ctx *cctx)
 
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Error [%s] requesting info from domain [%s]. Skipping.\n",
-               strerror(ret), step_ctx->dctx->domain->name);
+               sss_strerror(ret), step_ctx->dctx->domain->name);
 
         step_ctx->dctx->domain = get_next_domain(step_ctx->dctx->domain, false);
     }
@@ -1489,7 +1489,7 @@ setservent_step_done(struct tevent_req *req)
     } else if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Error [%s] while retrieving info from domain [%s]. "
-               "Skipping.\n", strerror(ret), dctx->domain->name);
+               "Skipping.\n", sss_strerror(ret), dctx->domain->name);
         /* Continue on */
     } else {
         /* Got some results
@@ -1512,7 +1512,7 @@ setservent_step_done(struct tevent_req *req)
 
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Error [%s] requesting info from domain [%s]. Skipping.\n",
-               strerror(ret), step_ctx->dctx->domain->name);
+               sss_strerror(ret), step_ctx->dctx->domain->name);
 
         step_ctx->dctx->domain = get_next_domain(step_ctx->dctx->domain, false);
     }
@@ -1706,7 +1706,7 @@ nss_cmd_implicit_setservent_done(struct tevent_req *req)
     if (ret != EOK && ret != ENOENT) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Implicit setservent failed with unexpected error [%d][%s]\n",
-               ret, strerror(ret));
+               ret, sss_strerror(ret));
         NSS_CMD_FATAL_ERROR(cmdctx);
     }
 
@@ -1718,7 +1718,7 @@ nss_cmd_implicit_setservent_done(struct tevent_req *req)
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Immediate retrieval failed with unexpected error "
-               "[%d][%s]\n", ret, strerror(ret));
+               "[%d][%s]\n", ret, sss_strerror(ret));
         NSS_CMD_FATAL_ERROR(cmdctx);
     }
 }
diff --git a/src/responder/pac/pacsrv_cmd.c b/src/responder/pac/pacsrv_cmd.c
index 9bd7e19..29cdb1e 100644
--- a/src/responder/pac/pacsrv_cmd.c
+++ b/src/responder/pac/pacsrv_cmd.c
@@ -37,7 +37,7 @@ static errno_t pac_cmd_done(struct cli_ctx *cctx, int cmd_ret)
                          &cctx->creq->out);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "sss_packet_new failed [%d][%s].\n",
-                                  ret, strerror(ret));
+                                  ret, sss_strerror(ret));
         return ret;
     }
 
@@ -596,7 +596,7 @@ static errno_t save_pac_user(struct pac_req_ctx *pr_ctx)
                                pr_ctx->dom->user_timeout, 0);
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE, "sysdb_store_user failed [%d][%s].\n",
-                                      ret, strerror(ret));
+                                      ret, sss_strerror(ret));
             goto done;
         }
     } else if (ret != EOK && ret != ENOENT) {
@@ -647,7 +647,7 @@ struct tevent_req *pac_save_memberships_send(struct pac_req_ctx *pr_ctx)
     ret = sysdb_search_user_by_name(state, dom, dom_name, NULL, &msg);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "sysdb_search_user_by_name failed " \
-                                  "[%d][%s].\n", ret, strerror(ret));
+                                  "[%d][%s].\n", ret, sss_strerror(ret));
         goto done;
     }
 
@@ -906,7 +906,7 @@ pac_store_membership(struct pac_req_ctx *pr_ctx,
     if (ret != EOK) {
         DEBUG(SSSDBG_TRACE_INTERNAL, "sysdb_search_object_by_sid " \
                                       "for SID [%s] failed [%d][%s].\n",
-                                      grp_sid_str, ret, strerror(ret));
+                                      grp_sid_str, ret, sss_strerror(ret));
         goto done;
     }
 
diff --git a/src/responder/pam/pamsrv.c b/src/responder/pam/pamsrv.c
index c0841d2..acdb19d 100644
--- a/src/responder/pam/pamsrv.c
+++ b/src/responder/pam/pamsrv.c
@@ -184,7 +184,7 @@ static int pam_process_init(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
               "Could not create initgroups hash table: [%s]",
-               strerror(ret));
+               sss_strerror(ret));
         goto done;
     }
 
diff --git a/src/responder/ssh/sshsrv.c b/src/responder/ssh/sshsrv.c
index 8aa603d..c6f9203 100644
--- a/src/responder/ssh/sshsrv.c
+++ b/src/responder/ssh/sshsrv.c
@@ -148,7 +148,7 @@ int ssh_process_init(TALLOC_CTX *mem_ctx,
                           &ssh_ctx->hash_known_hosts);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE, "Error reading from confdb (%d) [%s]\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         goto fail;
     }
 
@@ -159,7 +159,7 @@ int ssh_process_init(TALLOC_CTX *mem_ctx,
                          &ssh_ctx->known_hosts_timeout);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE, "Error reading from confdb (%d) [%s]\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         goto fail;
     }
 
diff --git a/src/responder/ssh/sshsrv_cmd.c b/src/responder/ssh/sshsrv_cmd.c
index ad83163..63ab2b8 100644
--- a/src/responder/ssh/sshsrv_cmd.c
+++ b/src/responder/ssh/sshsrv_cmd.c
@@ -494,7 +494,7 @@ ssh_host_pubkeys_format_known_host_hashed(TALLOC_CTX *mem_ctx,
             if (ret != EOK) {
                 DEBUG(SSSDBG_OP_FAILURE,
                       "sss_hmac_sha1() failed (%d): %s\n",
-                       ret, strerror(ret));
+                       ret, sss_strerror(ret));
                 result = NULL;
                 goto done;
             }
diff --git a/src/responder/ssh/sshsrv_dp.c b/src/responder/ssh/sshsrv_dp.c
index 90b0b57..f05a638 100644
--- a/src/responder/ssh/sshsrv_dp.c
+++ b/src/responder/ssh/sshsrv_dp.c
@@ -87,7 +87,7 @@ sss_dp_get_ssh_host_send(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
               "Could not issue DP request [%d]: %s\n",
-               ret, strerror(ret));
+               ret, sss_strerror(ret));
         goto error;
     }
 
diff --git a/src/responder/sudo/sudosrv.c b/src/responder/sudo/sudosrv.c
index cafe9da..fbd4381 100644
--- a/src/responder/sudo/sudosrv.c
+++ b/src/responder/sudo/sudosrv.c
@@ -141,7 +141,7 @@ int sudo_process_init(TALLOC_CTX *mem_ctx,
                           &sudo_ctx->timed);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE, "Error reading from confdb (%d) [%s]\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         goto fail;
     }
 
diff --git a/src/responder/sudo/sudosrv_cmd.c b/src/responder/sudo/sudosrv_cmd.c
index fd8c46d..cd8781d 100644
--- a/src/responder/sudo/sudosrv_cmd.c
+++ b/src/responder/sudo/sudosrv_cmd.c
@@ -48,14 +48,14 @@ static errno_t sudosrv_cmd_send_reply(struct sudo_cmd_ctx *cmd_ctx,
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Unable to create a new packet [%d]; %s\n",
-               ret, strerror(ret));
+               ret, sss_strerror(ret));
         goto done;
     }
 
     ret = sss_packet_grow(cli_ctx->creq->out, response_len);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              "Unable to create response: %s\n", strerror(ret));
+              "Unable to create response: %s\n", sss_strerror(ret));
         goto done;
     }
     sss_packet_get_body(cli_ctx->creq->out, &packet_body, &packet_len);
@@ -248,7 +248,7 @@ static void sudosrv_cmd_parse_query_done(struct tevent_req *req)
     talloc_zfree(req);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "Invalid query [%d]: %s\n",
-                                    ret, strerror(ret));
+                                    ret, sss_strerror(ret));
         goto done;
     }
 
diff --git a/src/responder/sudo/sudosrv_dp.c b/src/responder/sudo/sudosrv_dp.c
index 18e51a9..3c3ce87 100644
--- a/src/responder/sudo/sudosrv_dp.c
+++ b/src/responder/sudo/sudosrv_dp.c
@@ -100,7 +100,7 @@ sss_dp_get_sudoers_send(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
               "Could not issue DP request [%d]: %s\n",
-               ret, strerror(ret));
+               ret, sss_strerror(ret));
         goto error;
     }
 
@@ -173,7 +173,7 @@ sss_dp_get_sudoers_msg(void *pvt)
             ret = sysdb_attrs_get_string(info->rules[i], SYSDB_NAME, &rule_name);
             if (ret != EOK) {
                 DEBUG(SSSDBG_OP_FAILURE, "Could not get rule name [%d]: %s\n",
-                      ret, strerror(ret));
+                      ret, sss_strerror(ret));
                 goto fail;
             }
 
diff --git a/src/responder/sudo/sudosrv_get_sudorules.c b/src/responder/sudo/sudosrv_get_sudorules.c
index 4b35a1a..70ce46e 100644
--- a/src/responder/sudo/sudosrv_get_sudorules.c
+++ b/src/responder/sudo/sudosrv_get_sudorules.c
@@ -43,7 +43,8 @@ errno_t sudosrv_get_sudorules(struct sudo_dom_ctx *dctx)
         return EAGAIN;
     } else if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              "Error looking up user information [%d]: %s\n", ret, strerror(ret));
+              "Error looking up user information [%d]: %s\n", ret,
+              sss_strerror(ret));
         return ret;
     }
 
@@ -55,7 +56,8 @@ errno_t sudosrv_get_sudorules(struct sudo_dom_ctx *dctx)
         return EAGAIN;
     } else if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              "Error looking up sudo rules [%d]: %s\n", ret, strerror(ret));
+              "Error looking up sudo rules [%d]: %s\n", ret,
+              sss_strerror(ret));
         return ret;
     }
 
@@ -271,7 +273,7 @@ static void sudosrv_check_user_dp_callback(uint16_t err_maj, uint32_t err_min,
     } else if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
               "Could not look up the user [%d]: %s\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         sudosrv_cmd_done(dctx->cmd_ctx, ret);
         return;
     }
@@ -283,7 +285,7 @@ static void sudosrv_check_user_dp_callback(uint16_t err_maj, uint32_t err_min,
     } else if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
               "Error getting sudo rules [%d]: %s\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         sudosrv_cmd_done(dctx->cmd_ctx, EIO);
         return;
     }
@@ -358,7 +360,8 @@ errno_t sudosrv_get_rules(struct sudo_cmd_ctx *cmd_ctx)
                                    cmd_ctx->orig_username, NULL, &groupnames);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-             "Unable to retrieve user info [%d]: %s\n", ret, strerror(ret));
+             "Unable to retrieve user info [%d]: %s\n", ret,
+             sss_strerror(ret));
         goto done;
     }
 
@@ -373,7 +376,7 @@ errno_t sudosrv_get_rules(struct sudo_cmd_ctx *cmd_ctx)
                                             &expired_rules, &expired_rules_num);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "Unable to retrieve expired sudo rules "
-                                    "[%d]: %s\n", ret, strerror(ret));
+                                    "[%d]: %s\n", ret, sss_strerror(ret));
         goto done;
     }
 
@@ -418,7 +421,7 @@ errno_t sudosrv_get_rules(struct sudo_cmd_ctx *cmd_ctx)
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE,
                   "Failed to make a request to our cache [%d]: %s\n",
-                   ret, strerror(ret));
+                   ret, sss_strerror(ret));
             goto done;
         }
     }
@@ -492,7 +495,7 @@ sudosrv_get_sudorules_dp_callback(uint16_t err_maj, uint32_t err_min,
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
               "Failed to make a request to our cache [%d]: %s\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         sudosrv_cmd_done(cmd_ctx, EIO);
         return;
     }
@@ -566,7 +569,7 @@ static errno_t sudosrv_get_sudorules_from_cache(TALLOC_CTX *mem_ctx,
         if (ret != EOK) {
             DEBUG(SSSDBG_CRIT_FAILURE,
                  "Unable to retrieve user info [%d]: %s\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
             goto done;
         }
         flags = SYSDB_SUDO_FILTER_USERINFO | SYSDB_SUDO_FILTER_INCLUDE_ALL;
@@ -584,7 +587,8 @@ static errno_t sudosrv_get_sudorules_from_cache(TALLOC_CTX *mem_ctx,
                                             &rules, &num_rules);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-             "Unable to retrieve sudo rules [%d]: %s\n", ret, strerror(ret));
+              "Unable to retrieve sudo rules [%d]: %s\n", ret,
+              sss_strerror(ret));
         goto done;
     }
 
@@ -633,7 +637,7 @@ static errno_t sudosrv_get_sudorules_query_cache(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Could not construct the search filter [%d]: %s\n",
-               ret, strerror(ret));
+               ret, sss_strerror(ret));
         goto done;
     }
 
diff --git a/src/responder/sudo/sudosrv_query.c b/src/responder/sudo/sudosrv_query.c
index 4d19514..6062d62 100644
--- a/src/responder/sudo/sudosrv_query.c
+++ b/src/responder/sudo/sudosrv_query.c
@@ -401,7 +401,7 @@ errno_t sudosrv_parse_query_recv(TALLOC_CTX *mem_ctx,
                                      &domainname, &username);
     if (ret != EOK) {
         DEBUG(SSSDBG_TRACE_FUNC, "Unable to parse domain [%d]: %s\n",
-                                  ret, strerror(ret));
+                                  ret, sss_strerror(ret));
         return ret;
     }
 
diff --git a/src/tools/sss_groupadd.c b/src/tools/sss_groupadd.c
index f71d6dd..3ec4796 100644
--- a/src/tools/sss_groupadd.c
+++ b/src/tools/sss_groupadd.c
@@ -81,7 +81,7 @@ int main(int argc, const char **argv)
     ret = init_sss_tools(&tctx);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              "init_sss_tools failed (%d): %s\n", ret, strerror(ret));
+              "init_sss_tools failed (%d): %s\n", ret, sss_strerror(ret));
         if (ret == ENOENT) {
             ERROR("Error initializing the tools - no local domain\n");
         } else {
@@ -149,7 +149,8 @@ done:
 
             default:
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      "sysdb operation failed (%d)[%s]\n", ret, strerror(ret));
+                      "sysdb operation failed (%d)[%s]\n", ret,
+                      sss_strerror(ret));
                 ERROR("Transaction error. Could not add group.\n");
                 break;
         }
diff --git a/src/tools/sss_groupdel.c b/src/tools/sss_groupdel.c
index 5dcc205..f1e1782 100644
--- a/src/tools/sss_groupdel.c
+++ b/src/tools/sss_groupdel.c
@@ -75,7 +75,7 @@ int main(int argc, const char **argv)
     ret = init_sss_tools(&tctx);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              "init_sss_tools failed (%d): %s\n", ret, strerror(ret));
+              "init_sss_tools failed (%d): %s\n", ret, sss_strerror(ret));
         if (ret == ENOENT) {
             ERROR("Error initializing the tools - no local domain\n");
         } else {
@@ -126,7 +126,7 @@ int main(int argc, const char **argv)
 done:
     if (ret) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              "sysdb operation failed (%d)[%s]\n", ret, strerror(ret));
+              "sysdb operation failed (%d)[%s]\n", ret, sss_strerror(ret));
         switch (ret) {
             case ENOENT:
                 ERROR("No such group in local domain. "
diff --git a/src/tools/sss_groupshow.c b/src/tools/sss_groupshow.c
index 251e71b..a107820 100644
--- a/src/tools/sss_groupshow.c
+++ b/src/tools/sss_groupshow.c
@@ -337,7 +337,7 @@ int group_show(TALLOC_CTX *mem_ctx,
     ret = sysdb_search_group_by_name(mem_ctx, domain, name, attrs, &msg);
     if (ret) {
         DEBUG(SSSDBG_OP_FAILURE,
-              "Search failed: %s (%d)\n", strerror(ret), ret);
+              "Search failed: %s (%d)\n", sss_strerror(ret), ret);
         goto done;
     }
 
@@ -346,7 +346,7 @@ int group_show(TALLOC_CTX *mem_ctx,
                         &group_members, &nmembers);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "Group processing failed: %s (%d)\n",
-                   strerror(ret), ret);
+                   sss_strerror(ret), ret);
         goto done;
     }
 
@@ -396,7 +396,7 @@ int group_show(TALLOC_CTX *mem_ctx,
                              &root->group_members);
     if (ret) {
         DEBUG(SSSDBG_OP_FAILURE,
-              "Recursive search failed: %s (%d)\n", strerror(ret), ret);
+              "Recursive search failed: %s (%d)\n", sss_strerror(ret), ret);
         goto done;
     }
 
@@ -512,7 +512,7 @@ int group_show_recurse(TALLOC_CTX *mem_ctx,
                                          attrs, &msg);
         if (ret) {
             DEBUG(SSSDBG_OP_FAILURE,
-                  "Search failed: %s (%d)\n", strerror(ret), ret);
+                  "Search failed: %s (%d)\n", sss_strerror(ret), ret);
             return EIO;
         }
 
@@ -521,7 +521,7 @@ int group_show_recurse(TALLOC_CTX *mem_ctx,
                             &groups[i], &new_group_members, &new_nmembers);
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE, "Group processing failed: %s (%d)\n",
-                      strerror(ret), ret);
+                      sss_strerror(ret), ret);
             return ret;
         }
 
@@ -533,7 +533,7 @@ int group_show_recurse(TALLOC_CTX *mem_ctx,
                                      &parent->group_members);
             if (ret != EOK) {
                 DEBUG(SSSDBG_OP_FAILURE, "Recursive search failed: %s (%d)\n",
-                          strerror(ret), ret);
+                          sss_strerror(ret), ret);
                 return ret;
             }
             talloc_zfree(new_group_members);
@@ -565,7 +565,7 @@ static int group_show_mpg(TALLOC_CTX *mem_ctx,
     ret = sysdb_search_user_by_name(info, domain, name, attrs, &msg);
     if (ret) {
         DEBUG(SSSDBG_OP_FAILURE,
-              "Search failed: %s (%d)\n", strerror(ret), ret);
+              "Search failed: %s (%d)\n", sss_strerror(ret), ret);
         goto fail;
     }
 
@@ -696,7 +696,7 @@ int main(int argc, const char **argv)
     ret = init_sss_tools(&tctx);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              "init_sss_tools failed (%d): %s\n", ret, strerror(ret));
+              "init_sss_tools failed (%d): %s\n", ret, sss_strerror(ret));
         if (ret == ENOENT) {
             ERROR("Error initializing the tools - no local domain\n");
         } else {
@@ -725,7 +725,7 @@ int main(int argc, const char **argv)
     /* Process result */
     if (ret) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              "sysdb operation failed (%d)[%s]\n", ret, strerror(ret));
+              "sysdb operation failed (%d)[%s]\n", ret, sss_strerror(ret));
         switch (ret) {
             case ENOENT:
                 ERROR("No such group in local domain. "
diff --git a/src/tools/sss_seed.c b/src/tools/sss_seed.c
index 0f8a76a..3509dc6 100644
--- a/src/tools/sss_seed.c
+++ b/src/tools/sss_seed.c
@@ -746,7 +746,7 @@ static int seed_cache_user(struct seed_ctx *sctx)
         if (ret != EOK) {
             DEBUG(SSSDBG_OP_FAILURE,
                   "Failed to add user to the cache. (%d)[%s]\n",
-                   ret, strerror(ret));
+                   ret, sss_strerror(ret));
             ERROR("Failed to create user cache entry\n");
             goto done;
         }
@@ -756,7 +756,7 @@ static int seed_cache_user(struct seed_ctx *sctx)
                                sctx->uctx->password);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "Failed to cache password. (%d)[%s]\n",
-                                  ret, strerror(ret));
+                                  ret, sss_strerror(ret));
         ERROR("Failed to cache password\n");
         goto done;
     }
@@ -790,7 +790,7 @@ int main(int argc, const char **argv)
     ret = seed_init(sctx, argc, argv, &sctx);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,"Seed init failed [%d][%s]\n",
-                                 ret, strerror(ret));
+                                 ret, sss_strerror(ret));
         goto done;
     }
 
@@ -871,7 +871,7 @@ done:
     talloc_zfree(sctx);
     if (ret != EOK) {
         DEBUG(SSSDBG_TRACE_INTERNAL, "Exit error: [%d] [%s]\n",
-                                      ret, strerror(ret));
+                                      ret, sss_strerror(ret));
         ret = EXIT_FAILURE;
     } else {
         ret = EXIT_SUCCESS;
diff --git a/src/tools/sss_sync_ops.c b/src/tools/sss_sync_ops.c
index fd401cb..92de889 100644
--- a/src/tools/sss_sync_ops.c
+++ b/src/tools/sss_sync_ops.c
@@ -619,7 +619,7 @@ int userdel(TALLOC_CTX *mem_ctx,
     ret = sysdb_delete_entry(sysdb, user_dn, false);
     if (ret) {
         DEBUG(SSSDBG_OP_FAILURE,
-              "Removing user failed: %s (%d)\n", strerror(ret), ret);
+              "Removing user failed: %s (%d)\n", sss_strerror(ret), ret);
     }
 
     flush_nscd_cache(NSCD_DB_PASSWD);
@@ -661,7 +661,7 @@ int groupdel(TALLOC_CTX *mem_ctx,
     ret = sysdb_delete_entry(sysdb, group_dn, false);
     if (ret) {
         DEBUG(SSSDBG_OP_FAILURE,
-              "Removing group failed: %s (%d)\n", strerror(ret), ret);
+              "Removing group failed: %s (%d)\n", sss_strerror(ret), ret);
     }
 
     flush_nscd_cache(NSCD_DB_GROUP);
diff --git a/src/tools/sss_useradd.c b/src/tools/sss_useradd.c
index 5943940..6edafac 100644
--- a/src/tools/sss_useradd.c
+++ b/src/tools/sss_useradd.c
@@ -116,7 +116,7 @@ int main(int argc, const char **argv)
     ret = init_sss_tools(&tctx);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              "init_sss_tools failed (%d): %s\n", ret, strerror(ret));
+              "init_sss_tools failed (%d): %s\n", ret, sss_strerror(ret));
         if (ret == ENOENT) {
             ERROR("Error initializing the tools - no local domain\n");
         } else {
@@ -236,7 +236,8 @@ int main(int argc, const char **argv)
             ERROR("User's home directory already exists, not copying "
                   "data from skeldir\n");
         } else if (ret != EOK) {
-            ERROR("Cannot create user's home directory: %1$s\n", strerror(ret));
+            ERROR("Cannot create user's home directory: %1$s\n",
+                  sss_strerror(ret));
             ret = EXIT_FAILURE;
             goto fini;
         }
@@ -247,10 +248,11 @@ int main(int argc, const char **argv)
                                 tctx->octx->uid,
                                 tctx->octx->gid);
         if (ret != EOK) {
-            ERROR("Cannot create user's mail spool: %1$s\n", strerror(ret));
+            ERROR("Cannot create user's mail spool: %1$s\n",
+                  sss_strerror(ret));
             DEBUG(SSSDBG_CRIT_FAILURE,
                   "Cannot create user's mail spool: [%d][%s].\n",
-                        ret, strerror(ret));
+                        ret, sss_strerror(ret));
             ret = EXIT_FAILURE;
             goto fini;
         }
@@ -276,7 +278,7 @@ done:
 
             default:
                 DEBUG(SSSDBG_CRIT_FAILURE, "sysdb operation failed (%d)[%s]\n",
-                          tctx->error, strerror(tctx->error));
+                          tctx->error, sss_strerror(tctx->error));
                 ERROR("Transaction error. Could not add user.\n");
                 break;
         }
diff --git a/src/tools/sss_userdel.c b/src/tools/sss_userdel.c
index d085dc3..a27b535 100644
--- a/src/tools/sss_userdel.c
+++ b/src/tools/sss_userdel.c
@@ -193,7 +193,7 @@ int main(int argc, const char **argv)
     ret = init_sss_tools(&tctx);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              "init_sss_tools failed (%d): %s\n", ret, strerror(ret));
+              "init_sss_tools failed (%d): %s\n", ret, sss_strerror(ret));
         if (ret == ENOENT) {
             ERROR("Error initializing the tools - no local domain\n");
         } else {
@@ -285,7 +285,7 @@ int main(int argc, const char **argv)
 
     ret = run_userdel_cmd(tctx);
     if (ret != EOK) {
-        ERROR("The post-delete command failed: %1$s\n", strerror(ret));
+        ERROR("The post-delete command failed: %1$s\n", sss_strerror(ret));
         goto fini;
     }
 
@@ -307,7 +307,7 @@ int main(int argc, const char **argv)
         if (ret == EPERM) {
             ERROR("Not removing home dir - not owned by user\n");
         } else if (ret != EOK) {
-            ERROR("Cannot remove homedir: %1$s\n", strerror(ret));
+            ERROR("Cannot remove homedir: %1$s\n", sss_strerror(ret));
             ret = EXIT_FAILURE;
             goto fini;
         }
@@ -318,7 +318,7 @@ int main(int argc, const char **argv)
 done:
     if (ret) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              "sysdb operation failed (%d)[%s]\n", ret, strerror(ret));
+              "sysdb operation failed (%d)[%s]\n", ret, sss_strerror(ret));
         switch (ret) {
             case ENOENT:
                 ERROR("No such user in local domain. "
diff --git a/src/tools/sss_usermod.c b/src/tools/sss_usermod.c
index 9683c6e..d7ae14f 100644
--- a/src/tools/sss_usermod.c
+++ b/src/tools/sss_usermod.c
@@ -157,7 +157,7 @@ int main(int argc, const char **argv)
     ret = init_sss_tools(&tctx);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              "init_sss_tools failed (%d): %s\n", ret, strerror(ret));
+              "init_sss_tools failed (%d): %s\n", ret, sss_strerror(ret));
         if (ret == ENOENT) {
             ERROR("Error initializing the tools - no local domain\n");
         } else {
diff --git a/src/tools/tools_mc_util.c b/src/tools/tools_mc_util.c
index 2d6f3fb..365bdc6 100644
--- a/src/tools/tools_mc_util.c
+++ b/src/tools/tools_mc_util.c
@@ -268,7 +268,7 @@ errno_t sss_mc_refresh_nested_group(struct tools_ctx *tctx,
     ret = sysdb_search_group_by_name(tctx, tctx->local, name, attrs, &msg);
     if (ret) {
         DEBUG(SSSDBG_OP_FAILURE,
-               "Search failed: %s (%d)\n", strerror(ret), ret);
+               "Search failed: %s (%d)\n", sss_strerror(ret), ret);
         return ret;
     }
 
diff --git a/src/util/child_common.c b/src/util/child_common.c
index 81bbab7..f595a6a 100644
--- a/src/util/child_common.c
+++ b/src/util/child_common.c
@@ -66,7 +66,7 @@ errno_t sss_sigchld_init(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
               "fatal error initializing children hash table: [%s]\n",
-               strerror(ret));
+               sss_strerror(ret));
         talloc_free(sigchld_ctx);
         return ret;
     }
